Version 1.32.2 (released 20/09/2010)
- renamed the EditWindow class to WriteWindow, for consistency
- fixed the position of repeated error messages displayed during file operations : now the message windows should not
  move each time the user selects OK
- fixed the way error messages are handled when something goes wrong in the copy / move /delete file operations
- fixed the display of the deletion date, that was incorrectly set to one hour and one month in the future
- added a message to warn the user (at the first launch) of an old Xfe version about the new configuration file location
- the '~' character can now be used again in the 'Open with' dialog
- don't display the panel active icon in one panel mode, because it is not relevant
- removed double error messages when trying to copy / move / rename a file over itself 
- created symbolic links now have a path that is relative to the refered file  
- fixed the double error message in xfp that was displayed when the file format is unknown. Also added a wait cursor
  that is useful when the package size is huge
- fixed a problem that occurred when testing the result of the pclose() system call, because of the harvest zombie
  mechanism which intercepts any terminated child process. This caused a bug in xfp (when opening a package)
  and xfe (when querying a package). Also fixed the query package mechanism, to be more clever when a file does not
  belong to any package
- added document icons for Scribus (sla or slc extension) 
- fixed a bug in the "open with" history, where the last item was removed whenever a command was run. Also increased
  all history sizes to 30 instead of 20.
- removed a confirmation dialog when removing / trashing a symlink on a directory
- fixed a bug when copying / moving directories to a directory with the same name(ex : /A/1/file1, /A/1/file2 to /B/1, etc.)
  This should work as expected now.
- fixed a crash that occurred when dragging a folder in big icon view (thanks to Sarkar Anjishnu for discovering and
  reporting this bug). The bug was introduced in version 1.22...
- fixed a scrolling problem in the tree list when dragging a file onto it (thanks to Mathis Dirksen-Thedens for discovering
  this bug) 
- fixed a crash in Properties dialog that occurred when the df command comes from busybox instead of coreutils 
- removed the encoding key in desktop files. According to Joo Martin (Debian maintainer) it is now deprecated
  by the FreeDesktop standard. All strings are required to be encoded in UTF-8 inside desktop files.
- updated german translation (thanks to Joo <ad_debian@joonet.de>)
- added some new filetypes to xferc.in (thanks again to Joo)
- applied patch from Joachim Wiedorn (Debian maintainer) that allows to compile Xfe with kfreebsd and hurd kernels (thanks
  to you Joo!)
- new translation to chinese (Taiwan), thanks to Wei-Lun Chao <chaoweilun@gmail.com>
- fixed a compilation problem with gcc 4.4.x Now the inline functions statrep() and lstatrep() are declared in xfeutils.h
- updated russian translation (thanks to vad vad <vadbuntu@gmail.com>)
- new translation to bosnian (thanks to Pr. Samir Ribi and his students Bajrami Emran, Balagija Jasmina, Bilalovi
  and Omar Cogo Emir)
- fixed the problem of the initial window position with window managers like icewm, openbox, etc.
Version 1.32.1 (released 12/11/2009)
- .sh and .csh files (i.e. shell scripts) are executed when double clicking on them, if they are executable
- added support of ARJ archive format
- for extraction of rar archives, replaced the "rar x" command with "unrar x", which is more common on Linux systems
- fixed a bug that prevent to display the "+" sign correctly for some versions of the readdir() system function where
  the . and .. directories are not listed first
- fixed a bug that prevent to display the "+" sign correctly in a directory list, when the file system type does not
  support dirent.d_type (e.g. reiserfs)
- fixed a bug in File::mount() where an empty error message was displayed each time a file system was mounted or unmounted
- fixed a crash bug related to FilePanel::onUpdPkgQuery() when selecting files in some cases
- updated swedish translation (thanks to Anders F Björklund <afb@algonet.se>)
- fixed a problem when dragging a file over a symlink folder in a file panel. After dragging, the symlink icon was
  incorrectly set to the folder icon.  This bug was already in version 1.19.2. 
- updated hungarian translation (thanks to Sipos Sándor <sipos.sandor@iconet.hu>)
- updated brazilian portuguese translation (thanks to Phantom X <megaphantomx at bol.com.br>
- fixed a potential problem in the startup_completed() function to avoid exiting Xfe when XOpenDisplay() fails.
  This situation arises in some Linux distros (Mandriva 2009, Opensuse 11, Fedora 10) when suing the root mode. I couldn't
  find the origin of the problem, which is not present on Debian Lenny, Ubuntu Jaunty, Fedora 11. 
Version 1.32 (released 19/10/2009)
- modified script sfx.sh to add uninstalling of xpm icons
- modified script makesfx.sh to add stripping of binaries
- fixed a typo in the Makefile.am that prevented man files to be installed
- added xpm icons to be compliant with the Debian Policy. Also changed the debian/menu file for the same purpose.
- fixed the size of the su button in MessageBox.cpp
- added CFLAGS configuration to configure.in
- added a mechanism to prevent zombie processes when forking
- removed the xfvt executable and integrated it in the code. This avoids a mostly unused executable into the Xfe package.
Version 1.31 (pre-release)
- fixed a segfault when viewing the Properties of an archive file
- fixed a bug that prevent the folder history list to be updated when clicking on a tree item
- fixed a bug in the folder history list : when the refresh button was clicked, the root directory was erroneously
  added to the folder history list
- updated spanish translation (thanks to Félix Medrano Sanz <xukosky@yahoo.es>)
- updated czech translation (thanks to David Vachulka <david@konstrukce-cad.com>
- updated greek trabslation (thanks to Nikos Papadopoulos <231036448@freemail.gr>)
- updated german translation (thanks to Joo Martin <ad_debian@joonet.de>)
- updated the Xfe man page to add the directory URI capability
- added a tiny terminal program xfvt (~55 KB, based on Xvt 2.1, by John Bovey) that is used in the root mode
  authentication. This allows Xfe to be independent from the terminal program installed on the system. Also used nohup
  to allow closing the terminal without destroying the Xfe window!
Version 1.30 (pre-release)
- fixed the error message displayed in root mode when the terminal program is not found 
- fixed an issue with the gvfs file system when Xfe is launched as root. For now, I choosed to disable the detection
  of this file system, but I must investigate about gvfs to understand what really causes the problem.
- fixed a problem in Makefile.am that prevent performing several 'make dist' one after the other
- fixed the file type in FileList.cpp when the file is a symbolic link that refers to a file with no association
- several fixes in Properties.cpp related to startup notification
- added a local option to the Properties dialog to disable startup notification for a given executable file
- added a global option to the Preferences dialog to disable startup notification. This only affects the way
  applications are started from within Xfe. Note that, even if the option is disabled, xfe, xfi, xfv, xfp and xfw
  still indicate they have started to the window manager (provided that xfe was not compiled with the --disable-sn
  configure option).
- added greek localization (thanks to Nikos Papadopoulos)
- fixed some typos in strings
- shell scripts can be executed again. It was not a good idea to avoid their execution in Xfe...
Version 1.29 (pre-release)
- in startup notification error reporting, we ignore errors related to X_SetInputFocus
- when a SMB mount is performed when xfe is open, the smb hard disk icon is now correctly shown
- when making a file panel active, we also want the directory panel point on the same directory
- in message dialogs, the su button must not be displayed when the root mode is disallowed
- fixed problems when reporting system errors using errno
- fixed the sfx.sh.in script to correctly handle desktop files
- some changes in Makefile.am to better handle po files and other config and script files
- many changes in configure.in due to the use of intltool
- internationalization of desktop files using intltool
Version 1.28 (pre-release)
- in FilePanel, display the "Open with" dialog box when a command is not found
- added an option to disallow root mode (can be useful if xfe is deployed in a company, where root access is not allowed)
- made a conditional compilation in src/Makefile.am, relatively to the startup notification compilation option
- fixed malformed URIs when dragging files to another application. The correct form is for example file:///home/test/...
- added an option to confirm trash operations. We now distinguish trash confirmation from delete confirmation.
- fixed problems with file operation shortcuts when DirPanel is active
- fixed a serious memory leak in XFileImage
- in copy file operations, the progress window is now stretchable
- when --disable-sn is used in configure, desktop files now have StartupNotify=false
- fixed a bug in the location bar that in some cases displayed a malformed directory path instead of the correct one
- the location bar can now open directories specified as URIs, like file:///home/test
- now Xfe can open at the command line directories specified as URIs, like file:///home/test
- added the forgotten xfeutils.cpp file to POTFILES.in
- fixed a bug in positioning the xfv window (the position() function must be called *before* the FXMainWindow::create()
  function). Thanks to Joo Martin for discovering this bug.
- fixed the allowTooltip variable that was not initialized in IconList.cpp
- implemented a startup notification using version 0.9 of the libstartup-notification-1.0. Added a compilation option
  --disable-sn that allows to disable the use of the startup notification
Version 1.27 (pre-release)
- fixed a compilation problem when the FOX library is compiled without the --with-xft configure option (thanks to
  Claudio Fontana)
- updated hungarian trasnlation (thanks to Sandor Sipos)
- fixed a missing TAB in EditWindow.cpp (thanks to David Vachulka)
- updated swedish translation (thanks to Anders F Bjorklund)
- fixed some bugs in the file path sent by the Properties dialog to the chown and chmod functions 
- changed the way permissions are handled in the Properties dialog : now symbolink links are ignored when trying to change
  their permissions. However, it is possible to change their owner but the link are not followed. I also added special 
  permissions (suid, sgid and sticky) with a warning message for the user about possible unsafe behaviour.
- fixed a possible crash when the current directory contains no item (this could arise in some situations where the user
  does not have read access on the directory he is working in)
- set focus on the panels when selecting/deselcting files with Ctrl-A, Ctrl-I, etc.
- fixed a bug in Pathlinker, when navigating through directories where one name is used as the begining of an another
  name (ex: test and test1) 
- fixed a problem with truncated strings in the Properties dialog
- now the Properties dialog is displayed before that the recursive size is computed
- the wait cursor is no more useful
- updated the help.h file and the associated french translation
- added file size and modification time to the overwrite dialogs
- trashed hidden files and directories are always shown in the trash can
- updated the README and the help.h files
- when copying and moving files/folder to the trash can (at the trash base location), also create the trash info file.
- when deleting, moving or renaming files/folders from the trash can (at the trash base location), also delete the trash
  info file. But don't delete it if the file is located in a subdirectory in the trash can. 
- added a key binding for the View action (default is Shift-F4)
- changed the confirm empty directory dialog inn FilePanel to use the same ConfirmOverwrite dialog as elsewhere
- fixed a segfault in Properties.cpp when performing a chmod or a chown on a file without permissions : the file object
  was deleted too soon
- added a cancel button to the ConfirmOverwriteDialog
- fixed the progress dialog that annoyingly appeared behind dialog boxes when a file operation is interrupted
- fixed a bug when updating the file panel context menu : the rename menu was not grayed out with multiple file selection 
- fixed several memory leaks due to the use of strdup() without corresponding free() 
Version 1.26 (pre-release)
- fixed the cancel action in the Keybindings dialog : now, cancellation works as expected
- added the total number of files and number of subfolders to the Properties dialog when the selection contains directories
- changing permission or owner of a broken link is now done silently (no more annoying error message) 
- fixed the phantom trash menu when the trash can system is disabled
- fixed a problem with the wait cursor that was not displayed over the file list in some cases
- modified the trash can system to be more compliant with the Freedesktop standards. Now Xfe creates the info files where
  the original path and the deletion date are stored and displays the original path and deletion date in the file list
  and in the file tooltip.
- fixed a problem with static variables in several classes
- moving files to the trash can now creates the .trashinfo files, as required by the freedesktop standards
Version 1.25 (pre-release)
- added a Keybindings tab to the Preferences dialog that allows the user to interactively modify the key bindings 
- fixed a FOX bug in parseAccel() that prevent key bindings like Ctrl-F10 to be correctly interpreted
- added the _ICONLIST_STANDARD icon list type to distinguish between file lists, serach lists and standard lists
- fixed a bug in Preferences.cpp related to the show_mount_prev variable that was not correctly initialized.
- added the onCmdHeaderClicked callback to the IconList. This is to allow the target object to get the message
  that the user has clicked on a header button.
Version 1.24 (pre-release)
- fixed a problem when trying to create the new config directory or the new trash location if the parent folder does not
  exist. To fix this, I added the mkpath() that creates the parent directrories if necessary.
- fixed a non initialized variable (smoothscroll) in XFileImage
- fixed a crash of XFilePackage, when opening a package. Since I removed in version 1.22 the icon->create() instruction
  from icons.cpp I had to add similar instructions to the XFilePackage::create() function. This works, but I don't
  clearly understand the origin of the problem.
- changed the location of the Xfe config files and the trash can. The new locations are .config/xfe for config files
  and .local/share/Trash/files for trashed files. These are compliant with the Free Desktop standards. Note that
  at the moment, Xfe does not use the info files when trashing files.
- removed the "TRASH" string from trashed file names. This string is indeed not really necessary.
- fixed error dialog when copying files on a Windows disk and trying to preserve dates
- fixed some untranslated strings in File.cpp
- fixed the file filter history and made it retained when quitting Xfe
- added a button to the FilePanel status bar for the file filter command
- display the file filter string in red (and added this color as an attention color to the color theme)
- french translation update
- the copyright string is now in xfedefs.h
- started to work on configurable key bindings for all apps
- added a Shift-Tab keyboard shortcut to cycle through the panels in reverse order. Note it is only useful in tree and 
  two panels mode
- enabled again the keyboard shortcuts on the DirPanel because now we have a way to know which panel is active. Thus it
  is no more confusing to use shortcuts everywhere
Version 1.23 (pre-release)
- now shell scripts cannot be executed but are edited or viewed in all cases. This prevent to launch scripts by mistake.
- fixed a problem where in some cases files could have an association but no file type
- fixed a problem when navigating through the main menu using the keyboard : in one panel and tree panel modes, the 
  right panel menu appeared as a "phantom" menu. Now it's fixed. 
- fixed a problem when cancelling a drag and drop operation: the operation is now globally stopped as it should be
- avoid refreshing the directory size when when performing lenghty file operation (copy/move/delete, etc.) on a large
  number of files
- some code optimization to improve performances when xfe lists files in a big FileList
- improved xfe startup time by reducing the number of calls to FileList::listItems() to 2 instead of 6!
- added a tooltip text for the active icon of each panel
- when the path linker is not displayed (selected from the Preferences dialog), display a path text instead in every file list
- stop refreshing the file list when performing lenghty file operation on a large number of files. This prevent flickering
  and speeds up a bit the file operation
- fixed a severe performance issue when pasting a long list of files. This was because of the \r character at the end of 
  the uri strings that I removed from clipboard string to be compliant with nautilus. I completely removed the \r character
  and tested copy/paste/dnd operations with nautilus, konqueror, thunar, d3olphin, krusader, rox and pcmanfm. Everything seems
  OK now.
- now Xfe tests if folders have sub-folders or not and displays the tree list accordingly
Version 1.22 (pre-release)
- all mounted file systems (including proc, sys, dev) now have the proper icon. Removeable media also have the
  file system icon and can be unmounted by the user if he has the correct permissions.
- fixed the CXXFLAGS that was unappropriately cleared before compiling
- fixed a compilation bug with gcc 4.4 (strstr now returns a constant char* instead of a char*)
- fixed the terminal command string for root mode. This string must be included within quotes for some terminals
  to work as expected
- added a Ctrl-l shortcut to clear the location bar and allow to directly enter text into the text field
- fixed a memory leak related to the run and open ComboBox history
- changed the clipboard content when copying file names from Xfe to a text application. Now, the full pathes of all the 
  selected files are pasted, as it seems to be the standard behaviour
Version 1.21 (pre-release)
- added an option to let Xfi list only known image types
- saving the window position when quitting an application is now optional. This is to be more consistent with the
  default behaviour of modern applications and window managers
- fixed the confirmation message when deleting non empty folder. Added a Yes for All button to the message box.
- replaced "foreground color" with "text color" in the Preferences dialog, because it is more informative
- fixed some focus problems on the file list when clicking on an already checked toolbar button (or activating the button
  using a shortcut)
- now in MessageBox, we can justify text and place icon as desired  
- the type-to-jump-to-filename feature now can be case insensitive, and is now coherent with the file list sort order
- in panel cycling, made the selected item always visible when focus shifts to a panel
- added desktop files to start Xfe and the related tools from the desktop menu
- added translator names to the Xfe about menu
- added a led icon to the panels that helps to distinguish which panel has the focus. Removed the old gray out
  mechanism
- fixed the file list background color, because it was wrongly obtained from the main background color 
- fixed a serious performance issue with xfv and xfw when opening large files. This was due to the isutf8()
  function which was very badly coded (shame on me)
- limited the scrollbar button size to barsize*2 instead of barsize/2
- some polish of the main windows
- customised gui control hilite and shadow colors for better looking themes
- added the rounded gradient capability (Clearlooks) to scrollbars, comboboxes, progress bars and arrow buttons
- added the ability to overwrite existing directories during copy operation even when they are not empty
Version 1.20 (pre-release)
- disabled the root mode menus when Xfe is already launched as root
- fixed the refresh bug in the DirList, when dragging a directory at a level up
- changed the file permissions to rw when copying from a CDROM or a DVDROM (Linux only)
- fixed a FOX issue in the FileList, where in row mode the scrolling was vertically instead of horizontally
- fixed a FOX issue that prevent composed characters to be input when the mouse pointer is not within the text field
- fixed a FOX issue in FXTextField that crashed some input dialogs when FOX was compiled with the --with-xim option
- fixed a FOX issue in FXComposeContext that prevent any character to be input when FOX was compiled
  with the --with-xim option (to get support for composed characters) 
- added support for OOXML documents in xferc (thanks to Joo Martin <ad_debian@joonet.de>)
- updated german translation (thanks to Joo Martin <ad_debian@joonet.de>)
- fixed the "Jumping Jack Xfe" bug in DirPanel and PathLinker classes
- some code cleanup in FilePanel : added the dirpanel variable to the constructor to gain access to the
  DirPanel class
- 7zip archives are now handled by the standard 7z program. This also allows to decompress 7zip archives
  without deleting the archive file
- updated czech translation (thanks to David Vachulka <david@konstrukce-cad.com>)
- updated swedish translation (thanks to Anders F Björklund <afb@algonet.se>)
- updated japanese translation (thanks to Karl Skewes <karl@garagedori.com>) 
Version 1.19.2 (released 01-08-2008)
- changed default archiver program from file-roller to xarchiver, changed default PDF viewer from acroread to xpdf,
  and changed default PS viewer from evince to gv. These new defaults are more conservative and desktop independent.
- added support for 7zip archive format (need the p7zip external program)
- fixed some issues in the german translation
- updated hungarian translation (thanks to Sándor Sipos <ss1978@freestart.hu>)
- some code cleanup (remove of unused variables)
- fixed a bug that prevent the panel "dirs first" option to be retained 
- fixed a problem with the default cursor when switching to double click mode (thanks to Cal Peake <cp@absolutedigital.net>)
- updated spanish translation (thanks to Xuko Sky <xukosky@yahoo.es>)
- updated japanese translation (thanks to Karl Skewes <karl@garagedori.com>) 
Version 1.19.1 (released 03-07-2008)
- when right clicking in an empty place in the directory tree, display the panel context menu
- fixed the normal color of Xfv, Xfw, Xfi and Xfp when they are started for the first time before Xfe. 
- workaround for a bug on Openbox window manager that caused Xfe and other applications to start at the first time
  with a hidden window bar. Now, we simply start at (50,50 instead of (0,0). Perhaps, an Openbox or FOX bug? 
- fixed a bug that prevent to rename a file or directory using the Properties dialog
- fixed a bug with the path linker that caused a continuous refresh of Xfe and then a high CPU usage
- added a new menu item to the file list to autosize icon names in icon view.
- DirPanel options are now persistent and are stored in the DIR PANEL section of the registry 
- fixed the shortcut of the trash menu
- removed most of the friend classes
- also added these new items to the FileDialog and to Xfi 
- added new items to the Panel menu and to the popup menu, to be able to sort on user, group, permissions and deletion
  date
- in detailed mode, fixed a problem with column darkening when sorting from the main or popup menu  
- changed all occurrences of the "filepath" variable to "pathname", to be more consistent for developments
- improved the way the FileList is periodically refreshed. Now, we don't force anymore a complete refresh every 30 seconds
  as before, except when something really changed. This allows Xfe to avoid continuously refreshing the thumbnails.
  which is prohibitive when there are large images. 
- added a FILEDIALOG section the xfe registry in replacement of the "filedialog_*" options.
Version 1.19 (released 11-06-2008)
- fixed copy/move operations when dragging files to the tree list : we don't want to change the current directory to
  the target directory (thanks to Mathis Dirksen-Thedens for this tip)
- updated swedish translation (thanks to Anders F Björklund <afb@algonet.se>)
Version 1.18 (released 05-06-2008)
- in FileDialog and detailed mode, we also retain the size of each column
- in Xfe, normal and text fonts can now be changed at the same time without restarting Xfe after each change
- in Xfi, Xfw, Xfv and Xfp, the OPTIONS section of the configuration files is related to the application specific local
  options. The SETTINGS section is reserved for more general options, like for example FOX options. This is more
  consistent with the convention adopted for Xfe (the main application).
- fixed a bug that prevent Xfi to retain its file list mode and its icon arangement 
- the file dialog now saves its state (size, list mode, hidden files, thumbnails, ...) between sessions and applications 
- updated japanese translation (thanks to Karl Skewes <karl@garagedori.com>) 
- fixed some typos and updated accordingly french, italian, brazilian portuguese, hungarian, czech and chinese translations
  (thanks to Claudio Fontana <claudio@gnu.org> for discovering these typos)
Version 1.17 (pre-release)
- added the rounded gradient capability to toggle buttons
- fixed the problem of GUI updating : now the GUI is only updated when the user interacts with the program.
  This significantly saves some CPU.
- fixed the path link when hovering over a directory in the file or directory list
- added support for extracting ACE archives (the unace program must be present on the system)
- fixed some bugs related to the path linker
- updated brazilian portuguese translation (thanks to Phantom X <megaphantomx@bol.com.br>)
- added support for extracting ace archives
- fixed the color of the engaged buttons when using the rounded gradient controls
- in the archive dialog, now typing an archive extension automatically sets the correct archive format 
- added the new path linker to the file dialog and to the file list of Xfi. Removed the old DirBox from the file dialog.
Version 1.16 (pre-release)
- updated czech translation (thanks to David Vachulka <david@konstrukce-cad.com>)
- fixed the search and replace dialogs in Xfw, because there was problems with the rounded gradient theme
- completely revamped the pathlinker feature. Now we display links as real buttons and we can go anywhere through the
  visited path. Also fixed the problem of the right most button used for Panel focus 
- updated chinese translation (thanks to li xin <xinliGG@gmail.com>)
- updated italian translation (thanks to Claudio Fontana <cladio@gnu.org>)
Version 1.15 (pre-release)
- updated hungarian translation (thanks to Sándor Sipos <ss1978@freestart.hu>)
- updated brazilian portuguese translation (thanks to Phantom X <megaphantomx@bol.com.br>)
- fixed a crash bug that occurred when toggling the thumbnails button and moving to another directory
- fixed the gradient button background color when the background color is not the base color
Version 1.14 (pre-release)
- updated brazilian portuguese translation (thanks to Phantom X <megaphantomx@bol.com.br>)
- fixed a big memory leak when displaying thumbnails in the FileList : the X11 pixmap memory was not correctly freed
- changed a bit the way the registry directories and files are managed. However, it should be transparent for the end user.
  The vendor key is not used anymore in the registry but it is still used during the application creation to set the WM_CLASS
  window property.
- fixed the background color of the line and column numbers in xfv 
- added the TextLabel widget, based on FXTextField. This allows to have a different widget for the file operation dialogs
Version 1.13 (pre-release)
- added a rounded rectangle capability to FXTextField 
- added the FOX color theme to the Preferences dialog
- FOX hack to optionally display all buttons with a nice gradient effect and rounded corners (thanks to Sander Jansen
 <sander@knology.net> for the related code)
Version 1.12 (pre-release)
- improved the way the FilePanel popup dialog is displayed when using the Shift-F10 keyboard shorcut
- added an option to display or hide the FilePanel path linker
- we now use the .cpp extension for the source files, instead of .cc . This is to be consistent with the FOX library.
- xterm is no more required for the root mode. Now, if xterm is not present on the system, we use the terminal program 
  that is specified in the Preferences dialog. However, xterm is still the default and the user's terminal is only used
  as a fallback. This is because xterm has many options that can be used to nicely format the user dialog.
- updated chinese translation (thanks to xinli <xinliGG@gmail.com>)
- fixed a small problem in file operation dialogs with the size of the command message. Now, we adjust the message size
  by taking into account the real font size.
- fixed a regression in FileDialog where the ICONLIST_AUTOSIZE directive was ignored
- in file dialogs , fixed foreground, background and highlight colors in detailed mode
- compiling in debug mode does not set the -O2 flag
- additional review of the french translation. Fixed some issues. 
- added new selectable default programs in the Preferences dialog : PDF, audio and video viewers
- removed the wheel lines option in Xfw. It is indeed redundant with the same option in Xfe
- fixed the smooth scrolling and wheel lines options in Xfp, Xfv, Xfw and Xfi
- fixed a small bug in XFilePackage where the window size was not saved after clicking on the close button
- in the xferc config file, the OPTIONS section is now reserved to xfe specific options. Other options that
  are common to all four applications are now saved under the SETTINGS section of xferc. Nothing changed in
  other config files. Note : when reading the xfe registry from Xfv and others, generic FOX options like wheellines,
  selbackcolor, etc., are automatically read from the xferc config file. Specific options like single_click, file_tooltips,
  etc., must be read explicitely.  
- file dialogs now retain their size, mode and also the hidden files and thumbnails state
- work done to have a better consistency between file dialogs and file operations (concerning the file/folder
  selection mode)
Version 1.11 (pre-release)
- fixed a problem when resizing the size column (the right justified one) in detailed mode
- implemented optional relative resizing of panels and columns in file list detailed mode
- added japanese translation (thanks to Karl Skewes <karl@garagedori.com>)
Version 1.10 (pre-release)
- fixed the file dialog associated to some file operations (rename, open with, add to arch, etc.).
  Thanks to Karl Skewes <karl@garagedori.com> who discovered these bugs.
- fixed problem when renaming the last file of a list to a different directory 
- fixed problem when renaming a file or folder located on a mounted volume
- removed DirListBox.cc from POTFILES.in
- fixed a problem when opening new windows in XFileView and XFileWrite : now the new window size is the same as the last opened
- fixed a regression in the Properties dialog, when multiple files are selected
- fixed a bug that occured when resizing the panels using the splitter
- added the reverse order menu item to the main Panel menu. This one was missing for some obscure reason. 
- updated hungarian translation (thanks to Sándor Sipos <ss1978@freestart.hu>)
- in FilePanel, don't select the first item (the parent directory) with select all or select inverse
- for consistency purpose, also added a similar panel context menu to the DirPanel. 
- in FilePanel, the panel context menu item is now a submenu. It should be more usable like this.
- new complete KDE icon theme
- new partial tango icon theme
- new partial XFCE icon theme
Version 1.09 (pre-release)
- fixed a bug that prevent dragging files from Xfe to the ROX filer or desktop
- fixed a bug that prevent unmounting removable file systems after executing some copy/move/extract/etc. function
  in Xfe (this was related to the chdir performed before some operations)
- in FilePanel, the starting directory of the extract to command is now set to the home directory
- added an option to avoid displaying tooltips in the FileList or DirList 
- display again some information in the status bar when only one file is selected. This useful when navigating using the keyboard
- allowed again file names without extension to have their icon (there is still a problem with file names like zip or cc,
  but I have no solution for them at the moment)
- allowed again empty file names in FileDialog (why did I remove this feature in version 1.07?)
- fixed a bug when dragging files to the FilePanel : the Pathlinker was not refreshed correctly
- fixed a bug when copying/pasting/renaming/symlinking or dragging a directory in the DirList :
  now we correctly display the target directory 
Version 1.08 (pre-release)
- added a patch from Tomas Kolousek <kolousek@spscv.cz> that adds an option to force a panel mode from the command line.
  Thanks Tomas!
- added stuff in configure.in to handle the problem of the Xft support in FOX library. One can now compile
  Xfe even if FOX has been compiled without Xft support
- fixed a problem when working with filenames that contain characters like ' " $ \ etc.
  (thanks to Glynn Clements <glynnc@users.sourceforge.net>)
- fixed a bug with single click in the FileList when horizontally scrolling the list
- disabled the focus file list and dir list refresh mecanism introduced in version 1.06 : it has serious refresh problems
  when the listed files are modified and xfe has not the focus
Version 1.07 (pre-release)
- fixed a pointer problem in the function isEmptyDir() of File.cc (thanks to Tobias Ulmer)
- single click file and directory open options are now completely independant
- added a new panel context menu item that allows to open the panel context menu. The old control right click
  way is still there.
- disallow empty file names in FileDialog (Note: can't remember why I did this. So I cancel this in version 1.09)
- added error dialogs when nothing is entered in an operation dialog
- fixed problems with some error dialogs when errno is not set
- fixed the refresh problem of the FileList when moving a dialog upon it (added the isOdd() function to the IconItem
  class, thanks to Alain Ducasse for the tip)
Version 1.06 (pre-release)
- when sorting files in the FileList, if option Directories first is checked, then directories are always
  displayed on top of the list. This seems indeed more convenient.
- modified browse input dialog to distinguish between the cases of single and multiple files selections
- added a menu item to create a new symbolic link refering an existing file or directory
- added an option to set the smooth scrolling on/off in the Preferences dialog. This is only valid for file lists.
- added two menu items in the Tools section : one for synchronizing the two panels (i.e. being at the same
  directory in both panels) and the other for switching directories between panels
- fixed a bug in the main Makefile.am that prevent 'make distclean' to work properly
- limited the size of the file operation dialog messages when long file names are used
- fixed a bug in the Preferences / Programs dialog where the archiver browse dialog was wrongly related to
  the image viewer
- fixed problems with the progress dialog and the error dialogs in file copy/move operations
- added an error message in xfi when trying to load a corrupted image file
- fixed a crash bug in xfi that occurred when clicking on a non image file after a valid image file had been loaded 
- updated the xferc.in configuration file (thanks again to Joo Martin <debian@joomart.de>)
- updated again german translation (thanks to Joo Martin <debian@joomart.de>)
- replaced file names double quoting with single quoting
- fix a bug in the File::archive() method : an existing target was not correctly detected 
- do a better refresh of the file list : when xfe has not the focus, we don't perform a complete refresh of the file list,
  but only a refresh when files or directories have changed. This should save some CPU. (Note: removed later in version 1.08)
Version 1.05 (pre-release)
- fixed compilation warnings with gcc 4.2 related to string constants
- updated german translation (thanks to Joo Martin <debian@joomart.de>)
- updated czech translation (thanks to David Vachulka <david@konstrukce-cad.com>)
- updated brazilian translation (thanks to Phantom X <megaphantomx@bol.com.br>)
Version 1.04 (released 04-09-2007)
- changed 'pbar' to 'progressbar' and 'pdialog' to 'progressdialog' for legibility in File.cc, FilePanel.cc
  and DirPanel.cc
- updated Chinese translation, thanks to Li Xin <xinliGG@gmail.com>
- added the deletion date to the TreeList tooltip, when the directory under mouse is in trash can
- changed the way root directory sizes for TreeList and IconList tooltips are computed : the performances
  should be much better now
- removed the Save Settings menu of Xfi because settings are now automatically saved 
- when cancel is pressed in the More Preferences dialog of Xfi, all options are now reset to the previous values
- when cancel is pressed in the Preferences dialog of Xfe, all options are now reset to the previous values
Version 1.03 (pre-release)
- fixed some strings displayed when selecting icon or program files
- updated the README and help.h files
- fixed the selection of the icons theme directory in the Preferences dialog
- fixed a small regression when selecting directories in FileDialog in Copy to, Move to, Rename, etc.
- some cosmetics in the Theme tab of the Preferences dialog
- changed the default icon theme to gnomeblue and also changed the default base color to something lighter
- icons files that are the same between different themes are now handled using symbolic links. This avoids wasting
  disk space and is more easy to maintain in the source tree
Version 1.02 (pre-release)
- improved the way a directory is selected in FileDialog : in an empty directory, if we hit OK then we get the current
  directory instead of doing nothing
- fixed a crash bug in XFileImage, because the numsortheader variable was not initialized in IconList
- when using the directory back, forward and up commands, the focus is keeped on the current tree or file panel 
- in DirList and single click mode, navigating with up and down arrow keys do not expand directories anymore
- in FileList, maintain the folder icon open when displaying the drag and drop menu
- the drag and drop dialog is now optional
- updated czech translation (Thanks to David Vachulka <david@konstrukce-cad.com>)
- fixed some strings in the french translation
- fixed an incorrect string when deleting a non empty directory
- changed the buffer size in copy operation from 4096 to 16384 bytes. This slightly improves the performances.
- in DirList, maintain the folder icon open when displaying the drag and drop menu
- fixed the open icon of a link folder that was not shown when dragging in DirList
- some cosmetics on the FileList tooltip 
- added more informations to the tooltip displayed when hovering on an item in the DirList
- when scrolling with pgUp and pgDown keys in FileList, the selection now follows the scroll 
- colored the sorted column as in many file managers
- added the new class IconList because the corresponding FOX class was too hacked  
Version 1.01 (pre-release)
- in single click mode and detailed file list, the hand cursor now only appears when the mouse pointer
  is over the name column
- added an option to confirm the deletion of empty directories
- fixed a crash bug when moving the last file of a panel to another place
- fixed an issue with the size of the file operation dialogs. Now, the dialog size should be more adjusted to the text.
- now the size and sort function of the file list columns in XFileImage are saved between sessions
- fixed some typos in the french translation (accents)
- added an icon to each non modal window
- fixed a typo in the french translation
- used addAccel() instead of hidden buttons for some shortcuts
- fixed the french translation of the help menu that disapeared 
- removed the "Show hidden folders" menu in the View menu because it is confusing when the tree list is
  not displayed
- fixed an issue with the include path in src/Makefile.am (thanks to Antoine Jacoutot)
Version 1.00 (released 16-07-2007)
- adjusted the makesfx.sh and sfx.sh scripts to reflect the rename of Xfq and to allow uninstalling the FOX libraries 
- fixed a bug that prevent the use of the open command on multiple files
- added Chinese translation, thanks to Li Xin <xinliGG@gmail.com>
- added support for sshfs file system. Normally, this should work now without translating the uids and gids.
- fixed another regression in the update status function of the FilePanel class (refered links were no more displayed) 
- fixed a regression in the update status function of the FilePanel class (crash when Tab pressed in two panels mode) 
- fixed a bug with the associations of file names with capital characters and no extension (in FilePanel.cc and in
  Properties.cc)
- added two default programs to the Preferences menu : image editor and archiver
- made help window to be non modal
- last (or first or new, depending on the file operation) selected item is now enabled after the operation.
  This facilitates keyboard navigation.
- both color and icon themes now can be changed at the same time
- added blue and brown icons themes (thanks to Dean Linkous <deanlinkous@inbox.com>)
Version 0.99.8 (pre release)
- fixed a problem with the CommandWindow when executing a command that return nothing
- updated help and readme files
- changed the way that icon themes are selected. This should be more intuitive now.
- added a new "Extract to folder" menu for archive extraction
- fixed a crash bug that occurred when displaying properties of a mount point on a crypted filesystem
- renamed XFileQuery to XFilePackage (which is more appropriate) anq Xfq to Xfp
- simplification of the bookmarks menu code in XFileExplorer
- fixed a regression in the Preference dialog, where some options that need restart were no more retained
- synchronized file associations between different Xfe instances. However, for icons to be immediately updated
  it is necessary to click on the toolbar refresh button.
Version 0.99.7 (pre release)
- fixed several bugs in PathLinker that prevent correct display of the path buttons in some cases
- synchronized bookmarks between different Xfe instances
- fixed a small bug in DialogBox, where hitting the return key didn't activate the OK button
- added Ctrl-W hotkey to each app. This shortcut closes the window. Replaced the Ctrl-W (Zoom to fit Window) in Xfi with
  Ctrl-F.
- removed the quit buttons in each app. I think it's not necessary.
- fixed a bug in the FilePanel : when using the "open with" command, at the second time the wait cursor was always open
- fixed drag and drop when dragging into directories in Xfe : the directory where we are dragging from is now displayed after
  the drag menu appears
- added copy/paste scheme to the search / replace dialogs in Xfw. Fixed a bug in the search for selected text menu items
- major Xfe code reorganisation : now the file management routines are located in the FilePanel and DirPanel classes.
  Toolbar buttons and main menu items are now relative to the file panels only. The directory panel only uses
  the right click popup menu for his file operations. This is more consistent whith the way other file managers
  operate.  
Version 0.99.6 (pre release)
- added a file browse icon to the open with and execute command dialogs
- better consistency in the FilePanel status
- added more informations to the tooltip displayed when hovering on an item in the FileList
- now, when nothing is selected in the file panels, the delete menus, buttons and keys are disabled. However, the
  user can still delete a directory in the tree panel by using the right click menu. This avoids possible manipulation
  errors when using the delete keys.
- translation of the help dialog to french, thanks to Claude Leo Mercier for his help (<claude.leo.mercier@gmail.com>)
- split of the main toolbar in two smaller ones. This allows to better display toolbars on a small screen.
- fixed a problem when copying broken links
- fixed a crash bug in the help dialog
- added an option in PreferencesBox to adjust the mouse scrolling speed and redesigned the Preferences tabs
- toolbars can now be docked on each side of the window
- now enable (not select) parent directory when entering a new directory. This improves usability when
  browsing using the keyboard. Thanks to hudsucker <hudsucker@users.sourceforge.net> for the patch.
- added a context menu to the FileList in XFileImage
- added the ability to copy/paste text between most dialogs in all applications
Version 0.99.5 (pre release)
- added swedish translation (Anders Björklund <afb@users.sourceforge.net>)
- added the ability to copy/paste file names between the FileList (or DirList) and dialogs.
  I have chosen to only keep the first file name of the clipboard contents.
- in root mode, obtain the correct background and foreground xterm colors
- I realized that the directory size in detail panel mode is not useful, so I removed it
Version 0.99.4 (pre release)
- added the ability to use sudo instead of su for the root mode. This allows Ubuntu users to use the root mode, and
  sudo is more versatile than su.
- FOX hack to display non UTF-8 file names (e.g. 8 bits) correctly. A warning message is displayed in file dialogs
  when the file name is not in UTF-8. It is possible to copy/move/rename files with non UTF-8 file names but string
  manipulation into the text field is ugly. This is due to the fact that FOX 1.6.x don't directly support anymore
  8 bits strings.  
Version 0.99.3 (pre release)
- fixed a problem when testing if the distribution used in Debian based. I tested the presence of "apt-get" but
  it seems more appropriate to test the existence of "dpkg" on the system
- fixed a bug in xfv : the position and size of the window were not saved when closing the program using the
  cross icon on the window
- replaced the create archive dialog with a (hopefully) more intuitive one
- replaced the DirlistBox with a FileDialog (more powerful) when extracting archives
- added the ability to browse files for selecting destination in file operations
- now supports symlink on a multiple selection
- fixed the F5 shortcut which is now attributed to "copy to" like in most file commanders
- added Brazilian Portuguese translation (thanks to Jose Carlos Medeiros <jcnascimento@gmail.com>)
- added a popup menu to select the drag type (copy, move, link or cancel) when dragging file(s) to Xfe
Version 0.99.2 (pre release)
- added the ability to click on the panel title to set the focus on it
- fixed an issue when opening a new Xfe window : the starting directory was not always the home directory
  as it should be
- added clipboard support to Xfe : we can now copy/cut/paste from and to Nautilus (Gnome Desktop), Konqueror
  (KDE desktop) and Thunar (XFCE desktop). Copying and pasting from and to any file manager that uses the standard
  text/uri-list type should also work.
Version 0.99.1 (pre release)
- fixed a problem with Matlab file icons in xferc.in
- updated and fixed the french translation
- reintroduced the filter indication in FilePanel. It was lost since the introduction of the path link widget. 
- fixed a bug in Xfw, Xfv and Xfq where black lines were displayed as highlight color in FileDialog
- updated czsech translation (thanks to David Vachulka <david@konstrukce-cad.com>)
- added a copy menu / toolbar button to XFileView. This allows to copy text between xfv and any other editor.
Version 0.99 (released 12-03-2007)
- fixed missing su dialogs when trying to create a new file or folder in FilePanel and DirPanel
- updated to gettext 0.16.1
- added the image size (in pixels) to the XFileImage window title
- upgraded configure system to automake 1.9
- added an option to XFileImage to allow fitting the image to the window when opening
- changed the reverse order button in dir panel, it is now a check button
- re-introduced the reverse order option in the file panels, because it is necessary in icon modes
- added an option in the file panels that allow to sort file and directories without separating them
- fixed a bug when trying to enter a read only directory in FileDialog and XFileImage
- the registry was not updated in some cases in the Preferences dialog
- changed the cursor to a hand when browsing using a single click
- added options to allow single click file and directory open in FilePanel, FileDialog and XFileImage
- file copy operations now keep the original date of the input files or directory (although it is not the default in the Unix /bin/cp
  command, it is the default in many file managers, and it is more useful from the user point of view)
- fixed a crash bug when creating a link to the / directory
- fixed typos in cleanPath() and filePath()
- fixed a small typo in Preferences.h
- fixed a bug that prevent settings to be retained on Mac OS X (and other systems?)
- updated czech translation (thanks to David Vachulka <david@konstrukce-cad.com>)
- updated deutsch translation (thanks to Joo Martin <debian@joomart.de>)
Version 0.98.2 (released 20-02-2007)
- added stuff to create a self extracting package. The user can type sh xfe-0.99-i386.sh to install Xfe to /usr/local
- added a Windows icon theme
- converted ru.po to UTF-8
- fixed a crash bug whith the FileDialog when associating a program to a file (the StringList pointers were not
  defined because setDirectory() was not called)
- fixed a bug with the progress bar when copying files of size > 4GB. The percentage was not correctly displayed.
- removed the statout() and lstatout() functions that were too slow on a computer with a lot of NFS or Samba mount
  points. They are replaced by statrep() and lstatrep() that are faster.
  The timeout for down mount points is now 30 seconds (this is the default timeout of stat() and lstat() on Linux systems),
  and the mtab is checked every 5 seconds. Up and down mount points are now refreshed every 5 minutes.
  This change should make Xfe more responsive in the general case, but less reponsive when some mount points are not
  respondind. This is the tradeoff...
- replaced exit() by _exit() in every fork child
Version 0.98.1 (released 13-02-2007)
- I realized that xfe could not be installed by a non root user because of the /etc/xfe/xferc configuration file
  location. So I decided to move this file to $prefix/share/xfe/xferc which can easily be customized by a user
  that wants to install xfe in a non system place.
- fixed a bug in pkgInstall() that prevent packages to be installed when xfe is started from a directory which
  is not the same as the package directory
- converted most of po files to UTF-8
- avoid zombies by using system() instead of execl() in the runcmd() function
- added the forgotten pclose() in main.cc and XFileQuery.cc that produced a sh zombie
- fixed a bug with diacritic symbols when the locale is not set to UTF-8 (thanks to David Vachulka <david@konstrukce-cad.com
  for the tip)
- fixed a serious bug that occurred when copying files on a location where some of these files already exist : no error
  message must be displayed in this case and the copy operation must not stop! 
- fixed a serious crash bug when link directories have trailing '/' in their name
- fixed some mistakes in the README and help.cc files
Version 0.98 (released 09-02-2007)
- removed the mount and unmount icons from the toolbars to allow people that work on 800x600 resolution to see all
  the toolbar icons
- new icons for xfe, xfi, xfw, xfv and xfq
- fixed the RPM spec file for Fedora Core 6
- fixed error messages when copying multiple files on a full device
- thumbnails are now displayed based on the file extension and not on the file type (which could be wrong)
- fixed some (but not all!) problems with refresh when the Filelist uses highlight bars, especially when returning
  from the Properties dialog
- fixed problems with the file type of broken links 
- changed the way links are handled in Xfe. Now the size shown in the Filelist is the size of the link
  and not the size of the refered link
- updated the menus shortcuts
- updated the help dialog and the README file
- added the runcmd function to simulate a startup time when executing a file
- reorganized menus and toolbar
- added a root mode in menu and toolbar, and in permission denied dialogs
- fixed a crash bug when clicking on the Properties toolbar icon
- fixed a problem with file operation dialogs when the message is on two lines
- added an Xfce theme
- added a Gnomeblue theme 
- added a Gnome theme 
- added an icon theming feature
Version 0.97 (pre-release)
- added the path linker feature (thanks to Julian Mitchell <jupeos@gmail.com> for this improvement)
- added a recent files list to xfv
- xfw and xfv can now manage 50 windows instead of 20
- fixed a bug in XFileWrite where the window menu didn't show the active window (this was related to the
  keyboard scrolling on popup menus)
- in the FilePanel context menu, it is now possible to edit and view multiple files
- xfw and xfv can now open multiple files from the file dialog box
- xfv is now able to view multiple files
Version 0.96 (pre-release)
- fixed a bug where mount point /dev/.static/dev is not responding (however, not an xfe bug!)
- fixed a bug in the toolbar big/mini/details icons not properly shown
- updated OpenOffice.org and MS Office file types
- fixed a translation bug : the CommandWindow class was not translated
- added an XFCE4 color theme
- made the file list highlight color a standard part of color themes
- some cosmetics in XFileQuery
- fixed a crash bug in XFileQuery due to icons that were not correctly created. Added icon->create() to loadiconfile
  in icons.cc and to createData in FileDict
- fixed a bug in XFileImage when loading an unsupported image file
- implementation of the back and forward history in the FileDialog
- implementation of the back and forward history in the FileList
- some code cleanup in classes FileList and DirList
Version 0.95 (pre-release)
- fixed a bug where the WaitCursor was not closed in some cases
- fixed a bug with FXTextField when displaying the InputDialog : now the dialog should have the correct width.
- changed the way the open command is handled. Now multiple files having the same association are handled simultaneously.
  It thus should be easier to queue files in xmms, for example.
- added a Trash menu to reduce the file menu. When the trash is not used, the trash menu is not shown
- added enable-release and enable-debug to configure options
- small hack to the FXTextField class to allow to copy/paste with the mouse on the file operation dialog
- some cosmetics on the Properties dialog and on the XFileWrite preferences menus
- fixed a bug in the status bar of the Filepanel when displaying the usr, grp and size of the file
Version 0.94 (pre-release)
- fixed a bug in the FileList with drag and drop
- allowed sorting by file permissions
- added a Go to trash button and menu item
- added a deletion date column when displaying the files in the trash can. This allows to sort against the deletion date.
- changed the way the deleted files are tagged
- added a working print command to xfi
- icons are now loaded from the disk at the application start. This allows the user to easily change the default icons. 
Version 0.93 (pre-release)
- added a working print command to xfv and xfw
- added version number on the about dialog of xfq, xfv, xfw, xfi
- added an extension column to the Filelist. It is useful for sorting files based on the file extension
Version 0.92 (pre-release)
- updated the help text and the man files
- added a new app : X File Write, a simple text editor, derived from the FOX text editor Adie, however much simpler
  It is used as the default editor for Xfe.
- some cosmetics in the Preferences dialog
- fixed a bug in the Properties / File association dialog that prevent to change the icons for tar.gz and tar.bz2 file types
- fixed a bug in the Properties / File association dialog where all files were uncorrectly found as archives  
- the default editor, text viewer and image viewer now can be changed in the Preferences menu
Version 0.91 (pre-release)
- removed the static linking option (not compatible with the configuration changes)
- updated the README and help files
- changed the trash location to ~/.xfe/trash
- changed the config file names to xferc, xfirc, xfqrc and xfvrc
- changed the filetype icons directory to /usr/share/xfe/icons
- changed the config directories to /etc/xfe (global) and ~/.xfe/config (local) 
Version 0.90 (pre-release)
- fixed the static linking issue
- fixed a compilation warning (dereferencing type-punned pointer...)
- added a small hack of the FXPopup class that allows to navigate with the keyboard in context menus (right click)
- fixed the problem of the '^H' when dealing with rar archives
- changed the default editor from nedit to xedit (default for XWindow systems)
- hide the redundant location label in one panel and tree panel mode (thanks to a patch by Anders F. Björklund)
- added support for Debian packages in Xfe and Xfq (thanks to a patch by Anders F. Björklund)
- for Linux systems, added the ability to unmount (as root) file systems that are only listed in /etc/mtabs
- fixed a bug that prevent to mount/unmount file systems with spaces in their name
- cosmetic change on the overwrite box : changed the buttons position to be consistent with others
- added an optional command that allows to bypass the trashcan for permanent file deletion
- added a Ubuntu Human color theme (thanks to a patch by Anders F. Björklund)
Version 0.89 (pre-release)
- slight modification of the suffix of the deleted file to improve legibility
- added a drag corner to the applications (Xfe, Xfv, Xfi and Xfq)
- in the permission dialog, when the recursive mode is selected, added the ability to select between 
 "File and folders" or "Folders only" or "Files only" 
- fixed a problem when displaying the file permissions in the file list. The FOX function FXSystem::modeString()
  seems to be not compatible with the standard st_mode format 
- port to FOX 1.6.0
- fixed a small typo in the German translation
Version 0.88 (released 02-07-2006)
- now the global Desktop file is copied to the local registry ~/.foxrc/XFileExplorer/XFe at the first launch of Xfe 
 (or if the file doesn't exist). This allows the user to easily edit the Xfe file to suit its needs.
- improved the performances on Linux systems when computing the dirsize (not recursive) of the root ('/')
  directory by avoiding to scan the mount points (could be time consuming on a slow network)
- for archive operations use the directory name as a starting guess for the archive file name
- removed a lot of global variables (global options)
- added two new color options (foreground / background) for the file and dir lists in the Preferences/Colors dialog.
  The foreground (font) color and the bacground color of the file and dir panels can now be set independantly of
  the global interface
Version 0.87 (pre-release)
- temporarily disabled the print menus in XFileView and XFileImage because they were not implemented at all!
- when dragging files from a read-only directory, converted the move action to copy (useful when dragging files
 from a cdrom for example, thanks to pechkov for the tip)
- major update of the Desktop file (now only uses lower case file extensions)
- added more file associations and icons (OpenOffice, StarOffice, etc.) Thanks to Vidar Jon Bauge <vidarjon@tiscali.dk>!
- added a specific icon for broken links and fixed a small bug relative to the status bar in FilePanel
- added russian translation (thanks to Dmitij Lebed <dimaz.sertolovo@gmail.com>
- added danish translation (thanks to Vidar Jon Bauge <vidarjon@tiscali.dk>)
- fixed a problem when creating a file or a folder with Xfe : umask was not respected. Thanks to marvin6161
  <marvin6161@users.sourceforge.net> for providing a patch
- fixed a segfault when right clicking in the DirPanel on a mount point with permission 700
  Thanks to marvin6161 <marvin6161@users.sourceforge.net> for providing a patch
- fixed a segfault that sometimes occured when dragging a file to the directory list
- fixed a problem with supplementary groups not taken into account (thanks to Armin Buehler 
  <abuehler@users.sourceforge.net> for providing a patch)
- updated to gettext 0.14.5
- fixed some problems with executable file names like zip, cc, etc. Now, they should be handled correctly
- now there is no more difference between upper case and lower case file extension
- set the big icons and mini icons views in ICONLIST_AUTOSIZE mode to avoid file names truncation
- updated Italian translation (thanks to Claudio Fontana <sick_soul@yahoo.it>)
Version 0.86
- added norvegian translation (thanks to Vidar Jon Bauge <vidarjon@tiscali.dk>)
- added a waitpid call in statout(), lstatout() and mt_lstat() to avoid zombies processes
- the directory size is now periodically refreshed instead of updated every FOX event. This allows Xfe
  to be more responsive.  
- renamed function dirpath() into pathsize() in File.cc
- added the possibility to cycle through the three panels when the right panel is shown
- restored the "one panel" and "tree and two panels modes" since some people find it useful
Version 0.85 (pre-release)
- fixed a problem when archiving directories with escape characters in their name
  (thanks to Luc.Habert@ens.fr for discovering and patching this bug)
- fixed a bug in checkTimeout() and removed the test on now.tv_sec
- added .wri and .dpatch extensions to Desktop.in
- fix compilation on amd64 platforms with gcc-4.0 (patch from Andreas Jochens)
- added the "New window" menu item to allow starting a new Xfe session from the actual window
- set the KDE and GNOME themes more actual and renamed them to GNOME2 and KDE3
- replaced the mini file manager icon with a better one (thanks to antonix  <anto1945@infinito.it>)
- replaced the zip file icons with better ones (thanks to antonix  <anto1945@infinito.it>)
- fixed problems with the German translation (broken shortcuts)
Version 0.84 (released 06-27-2005)
- fixed a bug when dragging files from Gnome (or other desktops?) to Xfe. The number of files
  was incorrectly set to n+1 instead of n.
- fixed a small regression that occured when trying to copy or move a directory to a place
  where a directory with the same name already exists
- simplified the source tree to reduce the compilation time
Version 0.83 (pre-release)
- modified the layout of the permissions tab to be more intuitive (first permissions,
  then owner, and finally command)
- added button "Owner only" in the permissions tab to allow chown only operations
- fixed a bug in chmod and chown operations when trying to recursively change permissions
  on a single folder
- new Debian package icon
- when multiple files are selected, the default for Properties/Permissions dialog is now "Set marked".
  This is more consistent with the single selected file case.
- updated xfe.spec.in to reflect FOX 1.4.x support
- changed executable files icon
- added Windows EXE icon
- added Ctrl-W shortcut to the Quit button
- changed the font in Help window to text font (improve readability)
- changed delete and empty trash icons, for consistency
- fixed a problem when moving a file and that file already exists : only one overwrite dialog
  should appear. Fixed the File::move() function in the File class.
- updated the README and help.cc files
- implementation of the trash can for file delete operations
- fixed a small bug in exists() function that prevent broken links to be deleted 
Version 0.82 (pre-release)
- added an API ::stampname() to prepare file deletion to trash can
- in FilePanel, deselect the '..' item when the popup menu is displayed
- revisited the refresh strategy : file operations should be faster now!
- revisited the problem of moving files between different file systems : now a progress bar
  is correctly set up in this case
- added support for drag and link operations (binded to ctrl + shift + mouse left button)
- fixed the panel and dirpanel navigation with the keyboard. It is now possible to cycle the
  panels with the Tab key and select any file or folder (with FOX >= 1.4.16)
- replaced all occurrences of access() with isWritable() isLWritable and isReadExecutable().
  This is to use our statout() and lstatout() functions with timeout on Linux systems.
- added or updated the following translations : pt_PT (Miguel Santinho), de (Tim Benke),
  es (Martín Carr), hu (SZERVAC Attila). Thanks to these people!
- now uses the identical() function to test if source is identical to target. This allows
  the test to also work on case insensitive filesystems (thanks to Bastian Kleineidam) 
- replaced all ocurrences of ::exists(dequote()) with ::exists() because of problems with
  file names such as 't\\\est'
- fixed the WM_CLASS name. It is now set to "XFileExplorer" and it is also the vendor name.
  Now, Xfe configuration files are located in the .foxrc/XFileExplorer directory
- added an option to display or not the mount/umount success messages (thanks to pechkov)
- replaced all occurrences of strcmp() with streq() (thanks to Francesco Abbate)
- a manual refresh now triggers an update of the mtdevices and updevices lists
- fixed a bug in File.cc when renaming or moving a file on a FAT partition : if source and destination
  file names were the sames (on case insensitive file systems), the file was deleted
- fixed a bug in FilePanel.cc in onUpdMount and onUpdUnMount functions. The mount and unmount
  buttons were not grayed out in the correct way
- fixed a bug in File.cc in function dirsize that caused directory listing of / to be
  very long
- now Xfe warns at startup about mount points that are not responding
- speed up file listing when we are in a smb or nfs mount
Version 0.81 (pre-release)
- fixed bug when deleting a link file that refered on a file without write permission
- fixed a bug when copying files without permission from a directory to another
- fixed the file path in the clipboard when the file or directory to copy is in the root tree
- added a label with path name to the Xfi file list
- fixed the directory used when opening files in Xfv, Xfq and Xfi
- replaced strcpy() with strlcpy() to avoid possible buffer overflows (thanks to serj@varna.net
  for this tip).
- updated the french translation
- some minor changes in the copy to/move/symlink procedures
- fixed a crash bug when right clicking on a mounted directory without write access
- added new context menu item in DirPanel "Reverse order" to reverse the directory sort order  
- removed unuseful "expand dir" and "collapse dir" popup menu items in DirPanel 
- refreshed DirList code using FXDirList as a model
- replaced sprintf() with snprintf() to avoid possible buffer overflows (thanks to serj@varna.net
  for this tip).
- the main cursor was redefined to be the standard X Window cursor. This
  is now fixed.
- added icons and tooltips to the Debian menus
Version 0.80 (Released 04-19-2005)
- Added the stuff (in the 'debian' directory) to allow creating a debian package
- Completed the four man files
- Updated french translation
- Cleanup of the AddToArch and Extract functions
- Added support for RAR and LZH archive format (the rar and lha programs must be present on the system)
- Fixed the extract menus in FilePanel to only display 'Extract here' with .Z, .gz or .bz2
  compressed files
- Removed the absolute path of archive commands because it is not standardized
  on Linux distributions. Now, we assume that archive commands are in the path
- Deselect the '..' directory for file operation
- Added check and radio buttons to the FilePanel context menu
- More code cleanup in XFileExplorer.cc and FilePanel.cc (more separation between
  the two)
Version 0.79 (pre-release)
- Fixed some keyboard shortcuts in Xfe, Xfi, Xfq and Xfv
- Some code reorganization in FilePanel.cc and XFileExplorer.cc
- Thumbnails state is now saved in Xfi
- Changed the way icons are scaled when thumbnails are activated. Now, we don't use
  a tmp file anymore
- Fixed the mount/unmount menus and buttons. Now, the unmount button is grayed out
  when a filesystem is mounted, and conversely.
- Allow to mount/unmount from the FilePanel
Version 0.78 (pre-release)
- Menu items now are grayed out when only ".." is selected
- Added an "Extract here" command for archives to the FilePanel context menu 
- Code cleanup in FilePanel.cc (replaced some char * with FXString)
- Hide the dialog that appeared below the progress bar when moving files between
  different file systems
- fixed a problem when dragging the ".." file. Now, no file operation can occur on it
- suppressed the "one panel" and "tree and two panels" modes because they are
  not really useful
- changed the toolbar aspect in all apps to exploit new features in FOX 1.4
- port to FOX 1.4
Version 0.77 (pre-release)
- new application XFileImage (Xfi) for image viewing
Version 0.76 (pre-release)
- fixed a bug where directory sizes were not properly displayed in the
  status bar or in the properties dialog for directories with spaces in them (thanks to Cal Peake).
- with display thumbnails, the mini icon is now drawn from the big icon. This is more efficient than
  starting again with the image file (around two times faster for big images).
- changed the way display thumbnails is selected.
  Transfered the related code from FileDict to FileList.
- for thumbnails displaying, the default is set to not display thumbnails images
- added some shortcuts to the file selection dialog
Version 0.75 (pre-release)
- added more error messages for file operations
- the copy/cut/paste clipboard is now persistent
- now Open and Paste menu are grayed out when unuseful
- added Copy to menu for consistency
- added a property tab for multiple file selection with size, number of files and files type
Version 0.74 (pre-release)
- fixed the sorting function for file types
- removed the "Console file manager" menu item because it is of no use
- fixed a crash bug when changing the default viewer or editor
  (removed the call to clearitems() in FileList::setAssociations)
- fixed the number of items in the FileList
- added the locked folder icon in the DirList
- fixed a bug when doing chmod or chown in the DirList. Now, it should work properly.
- fixed a bug when deleting files, where all the selected files were not always deleted. This bug
  is related to the periodic refresh process, so I have added a variable in FileList to disallow
  periodic refresh when deleting files.
Version 0.73 (pre-release)
- fixed the placement of the Properties dialog. It is now centered on the screen.
- added --iconic and --maximized command line options
- progress bars are no more floating over parent
- fixed the placement of the "Execute command" dialog
- fixed a bug in XFileQuery : "MessageBox::create: trying to create window before
  creating owner window."
- Directory '..' now stays on top of the file list, whatever the sort method
- added maximize button to TextWindow and CommandWindow
- now, the extraction dialog can be resized or maximized.
- fixed the bug with file association where the command name had an extra letter
Version 0.72 (Released 09-24-2004)
- Root directory is now expanded by default when launching Xfe on it.
- Fixed a bug in displaying the file size of very large files (> to 4.3 GB) and in
  sorting the file sizes.
- The maximum bookmarks number is set to 20 instead of 10. A warning message
  is displayed when the limit is reached.
- removed the path in the archive creation dialog, for the same reasons.
- removed the path in the "New file" and "New directory" dialogs because it was not very
  practical with long path names (thanks to Millar Barrie for the suggestion).
- fixed a bug with xfq : set the filename to "untitled" instead of NULL when no filename
  is specified
- fixed a crash bug when extracting archives (delete problem with DirListBox object)
- added an "Open" command to open a single or multiple selected files. This is useful
  to play mp3 files with xmms for example
- added optional thumbnails preview for BMP, XPM, GIF, TIF, PNG and JPEG image formats.
Version 0.71 (pre-release)
- fixed a crash when a file name extension is only a dot.
- added Italian translation (thanks to Giorgio Moscardi <enjoy.the.silence@iol.it> and
  Valerio Alliod <valerio.alliod@ieio.vda.it>)
- allow xfe to save the window position on exit and restore the window
  position on start (thanks to R. Boucher <rboucher@users.sourceforge.net>)
- replaced SEL_RIGHTBUTTONPRESS with SEL_RIGHTBUTTONRELEASE in FilePanel.cc
  and in DirPanel.cc to fix a bug in the refresh process (this one was hard
  to find!)
- locale adjustment in the spec file (thanks to Andrzej Stypula)
- fixed a problem when unmounting a device and Xfe was not releasing the device 
- fixed a bug with .gz archives extraction. Now the extraction of tar, gz, bz2, Z, zip
  archives should be correct.
- add of a <signal.h> include to CommandWindow.cc and File.cc (thanks to Andrzej Stypula)
- file permissions adjustment in the spec file (thanks to Andrzej Stypula)
Version 0.70 (Released 07-29-2004)
- fixed a bug in DirListBox with the expand/collapse tree commands 
- fixed a bug when hiding the status bar : now, the entire bar can be hidden
- fixed the date format in the Properties dialog
- Tab key now allows to cycle through the DirPanel and FilePanels
- improved the refresh in DirList that was consuming too much resources
- fixed a bug with the file dates in FileList that were no more in local format 
- added a shortcut to Shift-F10 for the right popup menu in FilePanel
Version 0.69 (pre-release)
- fixed a crash bug with Xfq, when the file to open doesn't exist
- fixed a bug in FileList when selecting a file and moving the horizontal scroll bar 
- fixed a bug with large filesystems size
- more better handle (I hope...) of NFS and SMB breakdowns
- new icons for floppy, cdrom, zip and nfs drives
- fixed a bug when deleting read-only files in read-only sub-directories and 
  a parent directory with write access 
Version 0.68 (pre-release)
- port to FOX 1.2!
- adaptation of the code to the new APIs
- some bug fixes
- some cosmetic changes
- added mnemonics to all menus
- now Xfe is more responsive whith broken NFS or SMB mounts!
Version 0.67 (pre-release)
- add of the directory path to the window title (thanks to Drayke Naiobrin
  for the initial patch)
- changed the way the file names are sorted. Now, upper cases are no more sorted first.
  This is more consistent with other file managers.
Version 0.66 (Released)
- updated french translation
- updated help window
Version 0.65 (pre-release)
- when control + right click is pressed in the FilePanel, all items are deselected
- fixed a small regression that occured when pasting a directory in FilePanel and
  no item was selected
- fixed a small regression in DirPanel that prevent to unmount a file system
- replaced everywhere the word 'directory' with 'folder' for consistency 
- when a filter patter is used, this pattern is now shown in the FilePanel label
- fixed a small bug in filter command : the filter pattern was not correctly updated
- changed the way panel views are handled. Now, there are four views and four icons in the
  toolbar to switch between these views. This should be more intuitive to use and one needs
  only one click to switch from any view to any new one (this was not the case before).
Version 0.64 (pre-release)
- fixed problems with panels widths to avoid too small panels
- toolbar and menus cleanup and reorganization
- add of buttons to status bars (in DirPanel and FilePanel) to show/hide files or directories.
  Remove of the corresponding toolbar button.
  Remove of the directory path in DirPanel (it is redundant with the active panel's path)
- changed the way the context menu is handled in DirPanel : now, right clicking on DirPanel
  also changes the current directory to the selected one (contrary to Windows Explorer)
- fixed a small problem in Properties where the 'du' command displayed error messages on the
  console when permission on the directory or file was denied
- fixed a bug in DirPanel : the status and directory name were not correctly updated after 
  a file operation on the directory list when using the method FilePanel::onCmdFileMan
- fixed bug in DirPanel : after a file operation, the modified item was no more visible if
  it was scrolled down (need to add a call to recompute() in method getitem() in DirList)
- fixed bugs in DirPanel : deleting a folder in the directory list caused an error message
  to appear ('shell-init: could not get current directory...') in some cases
- fixed a crash bug in DirList that occured when successively displaying and hiding
  hidden folders with subfolders 
- the cursor in the 'Add to archive' dialog was not set to the end of the text
- symbolic links (files or folders) now have a specific icon in file and directory lists
- dotdot (..) folders now have a specific icon in file and directory lists
- mount points now have a specific icon in file and directory lists
- removed the DirBox from the toolbar : it was not really useful!
- changed CreateData method in FileDict class according to FOX 1.0.48. This should fix a bug
  with association icons in the file list (Thanks to Michael Baron).
- added a Text font, to be used in Terminal window (e.g. as a fixed font), and in XFileView
  and XFileQuery
- font menu moved under Preferences menu and OptionsBox class renamed as PreferencesBox
Version 0.63 (pre-release)
- remember sorted column in detailed panel view
- in detailed panel view, prevent name size to be too small
- file sizes are now given everywhere in human readable form 
- hacked FXIconList to right justify the file size in the file list
- inverted file size and file type in the file list
- renamed AttributesBox class to PropertiesBox
- revisited general design to be more consistent with other KDE or GNOME or X programs
Version 0.62 (pre-release)
- changed default wheel scrolling interval : default is now 5 lines and can be changed in the
  registry file by modifying the 'wheellines=5' line under the [SETTINGS] section
- clarified confirmation messages for file and folder delete operations
- fixed a bug in archive creation : it is no more possible to include the '..' directory in
  an archive!
- fixed a bug where it was impossible to create new files and new directories
  with spaces in their name (thanks to Bastian Kleineidam for having detected this bug) 
- add a command window object to manage executed commands, archives, rpm, etc.
  The command window executes commands as child processes and get their output
  asynchronously within the dialog box. 
- upgrade to gettext 0.12.1
Version 0.61 (pre-release)
- the time format used in the file list is now based on the locale platform
- added Argentinian Spanish translation (Bruno Gilberto Luciani <soporte@linuxtech.com.ar>)
- added Spanish translation (Lucas 'Basurero' Vieites <lucas@asixinformatica.com>)
Version 0.60 (Released)
- added Catalan translation (muzzol <muzzol@mail.ru>)
- updated french translation
- usage message added
- help menu added, with a help window (content of this window needs to be completed)
- modified the execute command to display the command log in a separate window (if necessary)
- modified the rpm upgrade/uninstall commands to display a log window instead of a progress dialog
- modified the extract/archive commands to display a log window instead of a progress dialog
- add error messages for file operations when the file system is full
Version 0.59 (pre-release)
- modified the "Confirm Delete" box used when deleting write-protected files. This should be
  more usable now
- add of support for large files (> 2 GB) operations 
- fixed a crash bug when linking or renaming a file and the target already exists
Version 0.58 (pre-release)
- fixed a crash bug when right clicking in the directory panel in a place where there is no item 
Version 0.57 (pre-release)
- add support of PNG icons for file icons
- fixed transparency problems with most of PNG file icons
- fixed a bug in DirPanel that prevent a correct display of the directory size when the directory name
  had spaces in it
Version 0.56 (pre-release)
- fixed a bug when pasting a file with ask_before_copy=0. In some cases, the input dialog was
  still used.
- when trying to copy or paste a file in the same directory as the source , the target name used 
  in the input dialog is now the name of the source (and not the directory name as previously).
  This is to make it easier to modify the file name directly in the input dialog.
- fixed i18n of some message boxes by adding a specific MessageBox class
Version 0.55 (pre-release)
- fixed a bug in the file delete progress dialog : the directory path was omitted
- fixed a bug in the extract archive progress dialog : the destination directory was omitted
- improvement of the file delete operation. Now, it is allowed to delete a write-protected file
  if the user is owner of it. In addition, a dialog asks the user what he wants to do. 
Version 0.54.5 (pre-release)
- fixed a bug where the right panel size was not correct when clicking on the "show two panels"
  toolbar icon 
- some changes in Desktop file associations
- fixed a bug with file operations when the file names have a space in it
- fixed a bug with the move command between separate hard disks
- fixed a bug where the progress dialogs didn't display the source and target file names when the
  overwrite box was open
Version 0.54.4 (pre-release)
- changed the way the panel sizes are handled. Now, the left panel size is retained and fixed when
  resizing the Xfe window. This is a more usual way to do.
- fixed the icon in the overwrite box widget
- added an overwrite box to the "Add to archive" operation
- fixed a bug where the "Show hidden folders" option was not retained after leaving Xfe
- the file names in the progress dialogs were slightly truncated. This is fixed now.
- add Turkish translation (erkaN <erkaN@linux-sevenler.de>)
- add a wait cursor to a number of file operations (attributes,copy, delete, mount/unmount...)  
Version 0.54.3 (pre-release)
- french translation update
- keyboard accelerators in dialog boxes now work as expected
- in two panels mode, pressing the tab key cycles through the panels. No effect in one panel mode
- fixed a small regression that prevent the unmount command to work
- fixed a bug with the Edit/View command : when an Edit or View association is not defined, the 
  correct mechanism is to call the default viewer or editor  
- fixed a bug in the Attributes menu where the size of a directory was not correctly displayed
  if its name had escape characters 
- fixed the permissions in the attributes tab when multiple files are selected
Version 0.54.2 (released)
- fixed a small bug in DirPanel.cc that prevent compilation of Xfe on a non Linux system
- fixed the text alignment problem in the properties window
- replaced builtin GIF icons with PNG icons
- added Polish translation (Jacek Dziura <stary@cad.pl>)
- when renaming a file in two panels mode, the destination directory was not selected from the
  current panel  
Version 0.54.1 (released)
- added Brazilian Portuguese translation (Eduardo R.B.S. <edurbs@varginha.com.br>)
- added German translation (Bastian Kleineidam <calvin@users.sf.net>)
- fixed a bug with files names like '~test' that were not correctly handled. Rename of the helper
  function getPath() to filePath() to avoid confusions with some other helper functions in FOX
- fixed a bug in DirPanel.cc that prevent compilation of Xfe with gcc 3.2.3
Version 0.54 (released)
- fixed a bug with the rename command in the directory panel : the target name was not correct in
  some situations
- fixed a bug in the new file and new directory operations : it was not possible to create
  file names with escape characters
- fixed a bug in the directory panel : the directory size was not correctly shown when
  the path name had escape characters
- fixed a bug in the progress bar with long path names
- fixed a bug in the file delete operation : sometimes, the current directory was not
  the correct one
- add a lot of mini-icons to the general and context menus in Xfe, Xfv and Xfq
- add shortcuts (Del, Ctrl-C, Ctrl-X, Ctrl-V, Ctrl-N, Ctrl-S) to file operations for the tree panel
- add a button to the toolbar for the show tree operation
- change the way icons are displayed for the hide hidden, hide tree and two panels button icons
Version 0.53 (pre-release)
- new function getNumSelectedItems() in FileList class, that returns the number of selected
  items in the file list (used to replace recurrent code in FilePanel.cc and XFileExplorer.cc)
- new keyboard shortcuts : this should help users familiar with both Windows Explorer and
  Midnight Commander. Some operations have two shortcuts (e.g. Delete has Del and F8).
- new FileDialog class, used to get full consistency with the application look and feel.
  It is derived from the standard Fox FXFileDialog, but with some simplifications.
- fixed a bug in archive creation : escape characters were not preserved in the archive name
- fixed a segfault when dragging a directory in the directory panel
- fixed a small regression where the zip files were no more seen as archives!
- the file operations menu items and buttons are now grayed out when no file are selected
Version 0.52 (pre-release)
- in X File View, the last opened file name is not saved anymore
- changed the file delete shortcut from Ctrl-Del to Del because the bug in the Fox Library
  was at last fixed! This is more consistent with other file managers... Thus Xfe now
  requires Fox version 1.0.36 or higher.
- add of French translation (by me, of course)
- fixed the Xfe icon destination in Makefile.am 
Version 0.51 (pre-release)
- upgrade of the configure scripts to automake-1.5 and autoconf-2.53
- add of i18n support
Version 0.50 (pre-release)
- remove of the 'Hidden folder' check box in the directory panel and add
  of the name of the directory path instead
- add of some icons
- add of a 'Console File Manager' button and menu item to allow to call Midnight Commander
 (or another console file manager) with a simple click
- add of the 'Rpm query' menu item in the file panels. This gives the name of
  the RPM package that the selected file is belonging to.
- fixed a bug in the rename function of the Attributes window
- code cleanup of the 'DirPanel' class
- in two panels mode, each panel now can be resized individually and their size
  is retained for the next session
- the size of the files in a directory is indicated in the directory
  tree status bar (but not recursively)
- rename of class 'Panel' to 'FilePanel' for consistency
- rename of class 'XFileExp' to 'XFileExplorer' for consistency
Version 0.49 (pre-release)
- add a location bar with an history of visited directories
- add a 'New file' item to the menu, panel context menu and toolbar
- add a 'Terminal here' item to the context menus
- fixed a memory leak in Attributes.cc
Version 0.48 (pre-release)
- add of more icons to the context menus
- add of copy/paste/rename/delete/extract menus to the directory list
- don't allow anymore multiple selection in the directory list
- fixed a bug in the Attributes window : the rename function was not the correct one
- add of an attribute menu to the directory list
Version 0.47 (pre-release)
- add of a context menu with expand tree / collapse tree functions to the directory list
- add of the 'DirPanel' class for the directory tree list 
Version 0.46 (pre-release)
- hovering over a folder in the directory list now expands the directory in the tree
- hovering over a folder in the file list now expands the directory in the list
- panel focus now can be obtain when clicking anywhere in the window
- shift or control key + right mouse button doesn't select any file. This allows a direct access to
  the global popup menu instead of the selection related popup menu (useful when items fill
  the file list)
Version 0.45 (pre-release)
- fixed a small bug when giving a starting directory name
- completely rewrite the file management routines to be more consistent with the file 
  move/copy/symlink/rename routines  
- add some error messages to the file operations routines
Version 0.44 (pre-release)
- add progress dialog and progress bar for drag and drop file operations
- add of keyboard shortcuts for rename, move, symlink operations
- add of an option '--with-static=yes/no' to the configure script,
  to be able to link a static version of Xfe. This is useful for
  computers that don't have the required libraries.
- modification of the spec file to deal with the '--with-static' option.
Version 0.43 (pre-release)
- symlink command with multiple files selection cannot be used anymore
- add of a progress bar for lengthy file move/rename operations
- fixed a number of bugs in the rename and move functions. Add of error messages for some
  error conditions
- reorganisation of the code : now, each custom widget has its own class
- remove of the xincs.h include (to be more portable)
Version 0.42 (released)
- the hard disk icon was not displayed in the tree list. This caused some crashes.
- fixed a bug that caused Xfe to crash when extracting an archive
- fixed bugs where the show_hidden_files, show_hidden_dir and auto_save_layout commands were not saved
  when leaving Xfe
- add of errors messages when trying to copy/paste/move/rename to an inexisting directory or when the
  target directory is not writable
- add of error messages when creating a new directory and the parent directory doesn't exist or is not
  writable
Version 0.41 (pre-release)
- use switch/case instead of if/else if in File.cc
- use the installation prefix to define the global icons path. Thus, if prefix=/usr/local,
  then iconpath=/usr/local/lib/foxicons, and if prefix=/usr, iconpath=/urs/lib/foxicons.
- fixed a little bug with the browse icon path button
Version 0.40 (released)
- new icons for locked folders
- use reswrap to construct the files icons.h and icons.cc at compile time, for Xfe, Xfv and Xfq
- fixed a bug to let Xfq work with rpm version 3.x
Version 0.39 (released)
- fixed a bug where the locked folder icons where not displayed in file list
- fixed a bug with copy/paste in two panels mode 
Version 0.38 (pre-release)
- add of X File Query (Xfq), a simple RPM package viewer and installer, with the same look and feel
as Xfe.
Version 0.37 (pre-release)
- the color theme of Xfv is now the same as Xfe. Removed the color option box.
Version 0.36 (pre-release)
- fixed some bugs relative to the move, rename and copy operations when the destination is a directory. Seems
to work correctly now!
Version 0.35 (released)
- add of X File View (Xfv), a simple text viewer with the same look and feel as Xfe.
Version 0.34 (pre-release)
- add of a progress dialog for mount / unmount file system operations.
Version 0.33 (pre-release)
- add of a progress dialog for archive (extraction and creation) operations.
Version 0.32 (pre-release)
- add of a progress dialog for chmod and chown operations.
- now dead links are seen! (was not the case even in Xwc!)
- fixed a number of bugs related to the chown and chmod operations.
Version 0.31 (pre-release)
- add of a GNOME color theme.
Version 0.30 (pre-release)
- add of a progress dialog for file move operations.
Version 0.29 (pre-release)
- add of a progress dialog for file delete operations.
Version 0.28 (pre-release)
- add of a progress bar for file copy operations.
Version 0.27.1 (released)
- Correct a bug introduced in the previous release. Sorry for the inconvenience.
Version 0.27 (released)
- Add Overwrite Box for file copy / move /symlink operations.
Version 0.26 (released)
- correct a compilation problem with gcc 3.2.
- add a toolbar button for switching between one / two panels.
Version 0.25 (released)
- correct an important bug in the file deletion process.
- add a toolbar button for showing / hiding hidden files. 
Version 0.24 (released)
- initial release of X File Explorer
- fully functional with a lot of bugs, I suppose.
